Announcement Announcement Module
Collapse
No announcement yet.
Spring + JDK 1.5 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring + JDK 1.5

    Hi,

    I have been using Spring v1.1.4 on JDK 1.4. My application needs to migrate to JDK 1.5.

    I want to know if Spring v1.1.4 supports JDK 1.5 or not. If not, starting which version does Spring support JDK 1.5? Are there any links/documents specifying migration issues, if any?

    Thanks

  • #2
    I don't have a categorical answer to this question, but if you are upgrading to jdk 1.5, then why not take the opportunity to go to Spring 1.2.8 as well (or wait a bit longer and go to Spring 2.0)? Much more people use 1.2.8 than are still using 1.1.*, so you would get more support on the forum with version specific queries like this one.

    Comment


    • #3
      Spring JDK 1.5 doesn't require any special support - it has some new features which are used inside Spring (such as annotations) but the old code works just fine on JDK 1.5.
      If you are using Spring in production, upgrade to 1.2.8 - if you are using for development use Spring 2.0 - the final 2.0 is just around the corner.
      2.0 has so many feature and enhancement that I'll just point you to the reference documentation.

      Comment

      Working...
      X